diff mbox

dependencies.sh: suppress output of locale

Message ID 1341985369-18125-1-git-send-email-arnout@mind.be
State Accepted
Headers show

Commit Message

Arnout Vandecappelle July 11, 2012, 5:42 a.m. UTC
Signed-off-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be>

---
 support/dependencies/dependencies.sh |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comments

Thomas Petazzoni July 11, 2012, 9:17 a.m. UTC | #1
Le Wed, 11 Jul 2012 07:42:49 +0200,
"Arnout Vandecappelle (Essensium/Mind)" <arnout@mind.be> a écrit :

> +   if ! locale -a | grep -i utf8$ > /dev/null; then

What about grep -q ?

Thomas
diff mbox

Patch

diff --git a/support/dependencies/dependencies.sh b/support/dependencies/dependencies.sh
index c47ffcf..590d1b5 100755
--- a/support/dependencies/dependencies.sh
+++ b/support/dependencies/dependencies.sh
@@ -153,7 +153,7 @@  if grep ^BR2_TOOLCHAIN_BUILDROOT=y $CONFIG_FILE > /dev/null && \
        /bin/echo -e "\nYou need locale support on your build machine to build a toolchain supporting locales\n"
        exit 1 ;
    fi
-   if ! locale -a | grep -i utf8$ ; then
+   if ! locale -a | grep -i utf8$ > /dev/null; then
        /bin/echo -e "\nYou need at least one UTF8 locale to build a toolchain supporting locales\n"
        exit 1 ;
    fi